.vacancy-item {
  height: 100%;
  position: relative;
  padding: 30px;
  @include media-breakpoint-down(md) {
    padding: 20px;
  }
  @include media-breakpoint-only(xs) {
    padding: 15px;
  }
  &::before {
    content: '';
    top: 0;
    left: 0;
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: mix($--color-white, $-color-menu-background, 95%);
    z-index: -1;
    transform: scale(0.98);
    transition: all 0.25s $--easeOutQuart;
  }
  &:hover::before {
    background-color: mix($--color-white, $-color-menu-background, 10%);
    transform: scale(1);
  }
  &:hover {
    h3.vacancy-item__label {
      color: $--color-white;
    }
    .news-item__date {
      color: $--color-white;
    }
    .vacancy-item__city {
      color: $--color-white;
    }
  }
  h3.vacancy-item__label {
    font-size: 24px;
    font-family: $-font-medium-public;
    letter-spacing: 0.6px;
    transition: all 0.25s $--easeOutQuart;
    @include media-breakpoint-down(md) {
      font-size: 18px;
      line-height: 28px;
    }
  }
  &__city {
    font-size: 12px;
    color:  $-color-menu-background;
  }
}
